/* 
 * File:   SDCardMgr.h
 * Author: JF
 *
 * Created on May 18, 2017, 8:20 PM
 */

#ifndef SDCARDMGR_H
#define	SDCARDMGR_H
#ifdef USE_FATFS
//#include "FatFS/diskio.h"
#else
#include "FileSystem/fileio_lfn.h"
#endif

enum eSDCardStates
{
    SD_CARD_INIT_STATE,
    SD_CARD_MOUNT_DRIVE_STATE,
    SD_CARD_READY_STATE,
    SD_CARD_ERROR_MOUNTING_STATE
};

#ifdef USE_FATFS

#else
void FILEIO_GetTimestamp(FILEIO_TIMESTAMP * timeStamp);
//void FILEIO_SETUP_HW();
#endif

int InitSDCard();
int MountDrive();
int IsDriveDetected();
int IsDriveMounted();
int TickSDCard();

int ListRootDir();



//void FILEIO_


#endif	/* SDCARDMGR_H */

